Package com.ocient.jdbc.proto

# Interface PlanProtocol.SuperSelectOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.SuperSelectOperator`, `PlanProtocol.SuperSelectOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.SuperSelectOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCheckedExceptionCols​(int index)` | `repeated string checkedExceptionCols = 2;`
`com.google.protobuf.ByteString` | `getCheckedExceptionColsBytes​(int index)` | `repeated string checkedExceptionCols = 2;`
`int` | `getCheckedExceptionColsCount()` | `repeated string checkedExceptionCols = 2;`
`List<String>` | `getCheckedExceptionColsList()` | `repeated string checkedExceptionCols = 2;`
`PlanProtocol.Disjunction` | `getFilters​(int index)` | Filter conditions to apply
`int` | `getFiltersCount()` | Filter conditions to apply
`List<PlanProtocol.Disjunction>` | `getFiltersList()` | Filter conditions to apply
`PlanProtocol.DisjunctionOrBuilder` | `getFiltersOrBuilder​(int index)` | Filter conditions to apply
`List<? extends PlanProtocol.DisjunctionOrBuilder>` | `getFiltersOrBuilderList()` | Filter conditions to apply

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getFiltersList

List<PlanProtocol.Disjunction> getFiltersList()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

### getFilters

PlanProtocol.Disjunction getFilters​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

### getFiltersCount

int getFiltersCount()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

### getFiltersOrBuilderList

List<? extends PlanProtocol.DisjunctionOrBuilder> getFiltersOrBuilderList()

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

### getFiltersOrBuilder

PlanProtocol.DisjunctionOrBuilder getFiltersOrBuilder​(int index)

    Filter conditions to apply

`repeated .xg.db.sqlPlans.Disjunction filters = 1;`

### getCheckedExceptionColsList

List<String> getCheckedExceptionColsList()
`repeated string checkedExceptionCols = 2;`

### getCheckedExceptionColsCount

int getCheckedExceptionColsCount()
`repeated string checkedExceptionCols = 2;`

### getCheckedExceptionCols

String getCheckedExceptionCols​(int index)
`repeated string checkedExceptionCols = 2;`

### getCheckedExceptionColsBytes

com.google.protobuf.ByteString getCheckedExceptionColsBytes​(int index)
`repeated string checkedExceptionCols = 2;`